Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.feature
Class OutputArcFeature

    java.lang.Object
      org.maltparser.core.syntaxgraph.feature.OutputArcFeature

All Implemented Interfaces:
  FeatureFunction, Function

    public class OutputArcFeature

extends Object
implements FeatureFunction

Author:
  Carlos Gomez Rodriguez

Field Summary
`protected AddressFunction` | `addressFunction1`
`protected AddressFunction` | `addressFunction2`
`protected ColumnDescription` | `column`
`protected DataFormatInstance` | `dataFormatInstance`
`protected SingleFeatureValue` | `featureValue`
`protected SymbolTable` | `table`
`protected SymbolTableHandler` | `tableHandler`

Constructor Summary
`OutputArcFeature(DataFormatInstance dataFormatInstance, SymbolTableHandler tableHandler)`

Method Summary
`boolean` | `equals(Object obj)`
`AddressFunction` | `getAddressFunction1()` Returns the address function 1 (argument 1)
`AddressFunction` | `getAddressFunction2()` Returns the address function 2 (argument 2)
`int` | `getCode(String symbol)` Returns the integer representation of the string `symbol` according to the feature function.
`ColumnDescription` | `getColumn()`
`DataFormatInstance` | `getDataFormatInstance()`
`FeatureValue` | `getFeatureValue()` Returns the feature value
`Class<?>[]` | `getParameterTypes()` Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.
`String` | `getSymbol(int code)` Returns the string representation of the integer `code` according to the feature function.
`SymbolTable` | `getSymbolTable()` Returns the symbol table used by the feature function.
`SymbolTableHandler` | `getTableHandler()`
`void` | `initialize(Object[] arguments)` Initialize the feature function
`void` | `setAddressFunction1(AddressFunction addressFunction1)` Sets the address function 1 (argument 1)
`void` | `setAddressFunction2(AddressFunction addressFunction2)` Sets the address function 2 (argument 2)
`void` | `setColumn(ColumnDescription column)`
`void` | `setDataFormatInstance(DataFormatInstance dataFormatInstance)`
`void` | `setFeatureValue(SingleFeatureValue featureValue)`
`void` | `setSymbolTable(SymbolTable table)`
`void` | `setTableHandler(SymbolTableHandler tableHandler)`
`String` | `toString()`
`void` | `update()` Cause the feature function to update the feature value.
`void` | `updateCardinality()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### addressFunction1

    protected AddressFunction addressFunction1

### addressFunction2

    protected AddressFunction addressFunction2

### column

    protected ColumnDescription column

### dataFormatInstance

    protected DataFormatInstance dataFormatInstance

### tableHandler

    protected SymbolTableHandler tableHandler

### table

    protected SymbolTable table

### featureValue

    protected SingleFeatureValue featureValue

Constructor Detail

### OutputArcFeature

    public OutputArcFeature(DataFormatInstance dataFormatInstance,
                            SymbolTableHandler tableHandler)
                     throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### initialize

    public void initialize(Object[] arguments)
                    throws MaltChainedException

  Description copied from interface: `Function`
  Initialize the feature function

  Specified by:
    `initialize` in interface `Function`
  Parameters:
    `arguments` - an array of arguments with the type returned by getParameterTypes()
  Throws:
    `MaltChainedException`

### getParameterTypes

    public Class<?>[] getParameterTypes()

  Description copied from interface: `Function`
  Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.

  Specified by:
    `getParameterTypes` in interface `Function`
  Returns:
    an array of class types

### getCode

    public int getCode(String symbol)
                throws MaltChainedException

  Description copied from interface: `FeatureFunction`
  Returns the integer representation of the string `symbol` according to the feature function.

  Specified by:
    `getCode` in interface `FeatureFunction`
  Parameters:
    `symbol` - the string representation of the symbol
  Returns:
    the integer representation of the string `symbol` according to the feature function.
  Throws:
    `MaltChainedException`

### getFeatureValue

    public FeatureValue getFeatureValue()

  Description copied from interface: `FeatureFunction`
  Returns the feature value

  Specified by:
    `getFeatureValue` in interface `FeatureFunction`
  Returns:
    the feature value

### getSymbol

    public String getSymbol(int code)
                     throws MaltChainedException

  Description copied from interface: `FeatureFunction`
  Returns the string representation of the integer `code` according to the feature function.

  Specified by:
    `getSymbol` in interface `FeatureFunction`
  Parameters:
    `code` - the integer representation of the symbol
  Returns:
    the string representation of the integer `code` according to the feature function.
  Throws:
    `MaltChainedException`

### updateCardinality

    public void updateCardinality()
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### update

    public void update()
                throws MaltChainedException

  Description copied from interface: `Function`
  Cause the feature function to update the feature value.

  Specified by:
    `update` in interface `Function`
  Throws:
    `MaltChainedException`

### getColumn

    public ColumnDescription getColumn()

### setColumn

    public void setColumn(ColumnDescription column)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getAddressFunction1

    public AddressFunction getAddressFunction1()

  Returns the address function 1 (argument 1)

  Returns:
    the address function 1 (argument 1)

### setAddressFunction1

    public void setAddressFunction1(AddressFunction addressFunction1)

  Sets the address function 1 (argument 1)

  Parameters:
    `addressFunction1` - a address function 1 (argument 1)

### getAddressFunction2

    public AddressFunction getAddressFunction2()

  Returns the address function 2 (argument 2)

  Returns:
    the address function 1 (argument 2)

### setAddressFunction2

    public void setAddressFunction2(AddressFunction addressFunction2)

  Sets the address function 2 (argument 2)

  Parameters:
    `addressFunction2` - a address function 2 (argument 2)

### getDataFormatInstance

    public DataFormatInstance getDataFormatInstance()

### setDataFormatInstance

    public void setDataFormatInstance(DataFormatInstance dataFormatInstance)

### setFeatureValue

    public void setFeatureValue(SingleFeatureValue featureValue)

### getSymbolTable

    public SymbolTable getSymbolTable()

  Description copied from interface: `FeatureFunction`
  Returns the symbol table used by the feature function.

  Specified by:
    `getSymbolTable` in interface `FeatureFunction`
  Returns:
    the symbol table used by the feature function.

### setSymbolTable

    public void setSymbolTable(SymbolTable table)

### getTableHandler

    public SymbolTableHandler getTableHandler()

### setTableHandler

    public void setTableHandler(SymbolTableHandler tableHandler)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.